<?
/***************************************************************************
 *                              obmen.php
 *                            -------------------
 *  Полнлценный модуль Файлобменника под phpBB-WAP
 *	Автор модуля: SatanHell
 *  2011 год
 ***************************************************************************/

$file = trim($_GET['file']);
$getw = abs(intval($_GET['w']));
$geth = abs(intval($_GET['h']));

if(!file_exists("../upload/".$file))
{
die('не удалось найти картинку');
}
else
{
$img = "../upload/".$file;
}

$info = getimagesize($img);

$w_or = $info[0];
$h_or = $info[1];

$type = $info['mime'];

switch($type)
{
case'image/jpg':
$imc=ImageCreateFromJpeg($img);
break;

case'image/jpeg':
$imc=ImageCreateFromJpeg($img);
break;

case'image/gif':
$imc=ImageCreateFromGif($img);
break;

case'image/png':
$imc=ImageCreateFromPng($img);
break;

default:
die('не удалось создать картинку');
}

if($w_or < 150 && $h_or < 150)
{
$w = $w_or;
$h = $h_or;
}
else
{
$k = ($w_or > $h_or) ? $w_or/150 : $h_or/150;

$w = round($w_or/$k);
$h = round($h_or/$k);
}

if($getw > 0 && $geth > 0)
{
$w = $getw;
$h = $geth;
}

$img = imagecreatetruecolor($w,$h);
imagecopyresampled($img,$imc,0,0,0,0,$w,$h,$w_or,$h_or);

switch($type)
{
case'image/jpeg':
header('Content-type: image/jpeg');
ImageJpeg($img);
break;

case'image/gif':
header('Content-type: image/gif');
ImageGif($img);
break;

case'image/png':
header('Content-type: image/png');
ImagePng($img);
break;

default:
die('не удалось вывести картинку');
}
?>